OpenVDB 5.1.0

Public Member Functions | Public Attributes | List of all members
Vector< T >::DeterministicDotProductOp Struct Reference

`#include <ConjGradient.h>`

## Public Member Functions
| DeterministicDotProductOp (const T *a_, const T *b_, const SizeType binCount_, const SizeType arraySize_, T *reducetmp_)
void | operator() (const SizeRange &range) const

## Public Attributes
const T * | a
const T * | b
const SizeType | binCount
const SizeType | arraySize
T * | reducetmp

## Constructor & Destructor Documentation

## ◆ DeterministicDotProductOp()

DeterministicDotProductOp | ( | const T * | a_,
|  | const T * | b_,
|  | const SizeType | binCount_,
|  | const SizeType | arraySize_,
|  | T * | reducetmp_
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const SizeRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ a

const T* a

## ◆ arraySize

const SizeType arraySize

## ◆ b

const T* b

## ◆ binCount

const SizeType binCount

## ◆ reducetmp

T* reducetmp

The documentation for this struct was generated from the following file:

- ConjGradient.h